# std::filesystem::path::make_preferred

From cppreference.com
< cpp‎ | filesystem‎ | path

path& make_preferred() | (1) | (since C++17)

Converts all directory separators in the generic-format view of the path to the preferred directory separator.

For example, on Windows, where `\` is the preferred separator, the path `foo/bar` will be converted to `foo\bar`.

### Parameters

(none)

### Return value

*this

### Exceptions

(none)

### Example

| This section is incomplete Reason: no example

### See also

| This section is incomplete

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/path/make_preferred&oldid=105066"